MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023977Open CASCADE[OCCT] OCCT:Releasepublic2013-05-21 11:112013-12-19 13:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023977: Revise packaging of OCCT to be more uniform
DescriptionCurrently OCCT releases are packaged in a way which implies different scheme of naming and locations for OCCT and other products (3rdparty). Though this approach could sound reasonable for pure OCCT developer, for users it likely looks non-uniform.

The proposal is to revise packaging of OCCT to keep in mind configuration when OCCT is installed in the same way as other:
- remove "3rdparty" subfolder
- rename subfolder "ros" to "occt-x.x.x" where x.x.x is OCCT version

Current layout of folders:

- 3rdparty
  |- freeimage-vc9-32
  |- freetype-2.4.10-vc9-32
  |- gl2ps-1.3.5-vc9-32
  |- qt462-vc9-32
  |- tbb30_018oss
  |- tcltk-85-32
- ros

Proposed layout of folders:

- freeimage-vc9-32
- freetype-2.4.10-vc9-32
- gl2ps-1.3.5-vc9-32
- occt-6.6.0
- qt462-vc9-32
- tbb30_018oss
- tcltk-85-32
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0026921)
abv (manager)
2013-11-26 16:00

Should be done in 6.7.0, with only difference that OCCT is located in folder called
"opencascade-6.7.0"
(0026922)
bugmaster (administrator)
2013-11-26 16:23

Repackaging was done

- Issue History
Date Modified Username Field Change
2013-05-21 11:11 abv New Issue
2013-05-21 11:11 abv Assigned To => apv
2013-05-21 11:11 abv Assigned To apv => bugmaster
2013-05-21 11:12 abv Description Updated View Revisions
2013-11-26 16:00 abv Note Added: 0026921
2013-11-26 16:00 abv Status new => feedback
2013-11-26 16:23 bugmaster Status feedback => tested
2013-11-26 16:23 bugmaster Note Added: 0026922
2013-11-26 16:23 bugmaster Status tested => verified
2013-11-26 16:23 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0
2014-01-11 12:00 abv Category OCCT Release:INST => OCCT:Release


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker